INCLUDES = $(all_includes)

SUBDIRS = share core ui buttons . proxy taskmanager taskbar applets extensions menuext data

bin_PROGRAMS = kicker
lib_LTLIBRARIES = kicker.la

CLEANFILES = dummy.cpp dummy_la.cpp

kicker_la_LIBADD = core/libkicker_core.la  buttons/libkicker_buttons.la \
	ui/libkicker_ui.la share/libkickermain.la $(LIB_KIO) 

kicker_la_SOURCES = dummy.cpp
kicker_la_LDFLAGS = $(KDE_PLUGIN) -no-undefined -module $(all_libraries)

kicker_LDADD = kicker.la
kicker_SOURCES = dummy_la.cpp
kicker_LDFLAGS = $(all_libraries) $(KDE_RPATH)

autostart_DATA = panel.desktop
autostartdir = $(prefix)/share/autostart

config_DATA = kcmkicker.desktop
configdir = $(kde_appsdir)/Settingsmenu

messages:
	$(XGETTEXT) share/*.cpp buttons/*.cpp core/*.cpp ui/*.cpp -o $(podir)/kicker.pot

dummy.cpp dummy_la.cpp:
	echo > $@
        
updatedir = $(kde_datadir)/kconf_update
update_DATA = kickerrc.upd kicker-3.1-properSizeSetting.pl

